<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/ExpressionT.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::ExpressionT</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-template">template &lt;<span class="keyword">typename</span> T&gt;</div><div class="class-name">class ExpressionT

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Lists.hh.html" target="detail">../Synopsis/PTree/Lists.hh</a></div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mExpressionT" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line362" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="ExpressionT-inheritance" src="ExpressionT-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ExpressionT-inheritance_map" />
<map name="ExpressionT-inheritance_map"><area alt="Scopes/Synopsis/PTree/FuncallExpr.html" href="FuncallExpr.html" shape="rect" coords="5, 230, 195, 254" />
<area alt="Scopes/Synopsis/PTree/AssignExpr.html" href="AssignExpr.html" shape="rect" coords="219, 230, 405, 254" />
<area alt="Scopes/Synopsis/PTree/ThrowExpr.html" href="ThrowExpr.html" shape="rect" coords="429, 230, 616, 254" />
<area alt="Scopes/Synopsis/PTree/StaticUserStatementExpr.html" href="StaticUserStatementExpr.html" shape="rect" coords="640, 230, 907, 254" />
<area alt="Scopes/Synopsis/PTree/UnaryExpr.html" href="UnaryExpr.html" shape="rect" coords="931, 230, 1115, 254" />
<area alt="Scopes/Synopsis/PTree/CondExpr.html" href="CondExpr.html" shape="rect" coords="1139, 230, 1317, 254" />
<area alt="Scopes/Synopsis/PTree/PmExpr.html" href="PmExpr.html" shape="rect" coords="1341, 230, 1509, 254" />
<area alt="Scopes/Synopsis/PTree/ArrayExpr.html" href="ArrayExpr.html" shape="rect" coords="1533, 230, 1717, 254" />
<area alt="Scopes/Synopsis/PTree/TypeofExpr.html" href="TypeofExpr.html" shape="rect" coords="1741, 230, 1933, 254" />
<area alt="Scopes/Synopsis/PTree/PostfixExpr.html" href="PostfixExpr.html" shape="rect" coords="1957, 230, 2147, 254" />
<area alt="Scopes/Synopsis/PTree/ParenExpr.html" href="ParenExpr.html" shape="rect" coords="2171, 230, 2355, 254" />
<area alt="Scopes/Synopsis/PTree/ArrowMemberExpr.html" href="ArrowMemberExpr.html" shape="rect" coords="2379, 230, 2613, 254" />
<area alt="Scopes/Synopsis/PTree/TypeidExpr.html" href="TypeidExpr.html" shape="rect" coords="2637, 230, 2827, 254" />
<area alt="Scopes/Synopsis/PTree/NewExpr.html" href="NewExpr.html" shape="rect" coords="2851, 230, 3027, 254" />
<area alt="Scopes/Synopsis/PTree/UserStatementExpr.html" href="UserStatementExpr.html" shape="rect" coords="3051, 230, 3285, 254" />
<area alt="Scopes/Synopsis/PTree/InfixExpr.html" href="InfixExpr.html" shape="rect" coords="3309, 230, 3485, 254" />
<area alt="Scopes/Synopsis/PTree/CastExpr.html" href="CastExpr.html" shape="rect" coords="3509, 230, 3683, 254" />
<area alt="Scopes/Synopsis/PTree/DotMemberExpr.html" href="DotMemberExpr.html" shape="rect" coords="3707, 230, 3925, 254" />
<area alt="Scopes/Synopsis/PTree/SizeofExpr.html" href="SizeofExpr.html" shape="rect" coords="3949, 230, 4136, 254" />
<area alt="Scopes/Synopsis/PTree/OffsetofExpr.html" href="OffsetofExpr.html" shape="rect" coords="4160, 230, 4357, 254" />
<area alt="Scopes/Synopsis/PTree/DeleteExpr.html" href="DeleteExpr.html" shape="rect" coords="4381, 230, 4568, 254" />
<area alt="Scopes/Synopsis/PTree/List.html" href="List.html" shape="rect" coords="2191, 81, 2335, 105" />
<area alt="Scopes/Synopsis/PTree/Node.html" href="Node.html" shape="rect" coords="2187, 6, 2339, 30" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="ExpressionT_lNode_S_cNode_S_r">ExpressionT</a>(<a href="Node.html" >Node</a>* <span class="variable">p</span>, <a href="Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mExpressionT_mExpressionT_lNode_S_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line365" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref7.html#Synopsis_mPTree_mExpressionT_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line366" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Member functions Inherited from List">
<tr><td colspan="2" class="heading">Public Member functions Inherited from List</td></tr>
<tr><td class="inherited"><a href="List.html#is_atom_l_rconst" title="member function List::is_atom&#40;&#41;const">is_atom</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:49 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
